From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/python-memcached/
Date: Fri, 29 Dec 2023 04:38:19 +0000 (UTC) [thread overview]
Message-ID: <1703823199.fbb9320c1bd30d3be5e36e0276c262f1c93ece98.mgorny@gentoo> (raw)
commit: fbb9320c1bd30d3be5e36e0276c262f1c93ece98
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 29 04:13:19 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Dec 29 04:13:19 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fbb9320c
dev-python/python-memcached: Bump to 1.61
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/python-memcached/Manifest | 1 +
.../python-memcached/python-memcached-1.61.ebuild | 50 ++++++++++++++++++++++
2 files changed, 51 insertions(+)
diff --git a/dev-python/python-memcached/Manifest b/dev-python/python-memcached/Manifest
index 10634856161e..56bca01fb4ad 100644
--- a/dev-python/python-memcached/Manifest
+++ b/dev-python/python-memcached/Manifest
@@ -1,2 +1,3 @@
DIST python-memcached-1.59.gh.tar.gz 32334 BLAKE2B de8d18ba887b03e4737b554cc4b0074a4f16745e26a8b3631a747c45019e1da83612677dc3e98f97d76e851320c61baafbd0a29231a826c14b7d3bf3e477f29e SHA512 d7ff45a329f2a9bf97fdc7c0268c2c67046c3501270fcf03578b955c2da35904d7bdecd4239924d390797ddff8f4cc69fc5743f4d4f663cdb9f2f8c7e8159512
DIST python-memcached-1.60.gh.tar.gz 29184 BLAKE2B 54635e493e72d18aeda1e960c67cf92ac4c4f33b900c277f119e3528ebe52c69cf68b59c8c88719ed51664178b03b22d3035541ad529c5390c7f48a184539521 SHA512 d5d0789511ec4c5fd40a0ebc9b265ff0b69ff9aa366e1573b61c27b84ee0edb62c8dbc0563b5f92e6485914a6ff46a6130a8c889dae6ec638d71684ef29147e3
+DIST python-memcached-1.61.gh.tar.gz 29238 BLAKE2B 4b24ae56716a0c17297c2041e26c555e0e675d87d3e77f75fd33e60f9c7f3791f1e4ef0e8fcaf0f895a2dce2f5539ddf5a6d2e42d3198a71d5edcc9a52716442 SHA512 ea66a04129816863d700718ae525838b381aaca6da3a239e3b2ff5cfc92297083a4b66fe0a10c1460f597e066b3d30902cdab1c38999be49b77d745a078d1da2
diff --git a/dev-python/python-memcached/python-memcached-1.61.ebuild b/dev-python/python-memcached/python-memcached-1.61.ebuild
new file mode 100644
index 000000000000..02f77889aa8e
--- /dev/null
+++ b/dev-python/python-memcached/python-memcached-1.61.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Pure python memcached client"
+HOMEPAGE="
+ https://github.com/linsomniac/python-memcached/
+ https://pypi.org/project/python-memcached/
+"
+SRC_URI="
+ https://github.com/linsomniac/python-memcached/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="PSF-2.4"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ test? (
+ net-misc/memcached
+ )
+"
+
+distutils_enable_tests unittest
+
+python_test() {
+ local pidfile="${TMPDIR}/memcached.pid"
+
+ memcached -d -P "${pidfile}" || die "failed to start memcached"
+
+ eunittest || die "Tests fail with ${EPYTHON}"
+
+ kill "$(<"${pidfile}")" || die "failed to kill memcached"
+ local elapsed=0
+ while [[ -f ${pidfile} ]]; do
+ if [[ $(( elapsed++ )) -ge 30 ]]; then
+ kill -KILL "$(<"${pidfile}")" ||
+ die "failed to kill -KILL memcached"
+ die "memcached failed to stop after 30 seconds"
+ fi
+ sleep 1
+ done
+}
next reply other threads:[~2023-12-29 4:38 UTC|newest]
Thread overview: 38+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-12-29 4:38 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-16 19:56 [gentoo-commits] repo/gentoo:master commit in: dev-python/python-memcached/ Petr Vaněk
2024-02-03 11:44 Michał Górny
2024-02-03 10:10 Arthur Zamarin
2024-01-15 7:18 Michał Górny
2024-01-13 9:33 Michał Górny
2024-01-13 9:29 Arthur Zamarin
2023-12-25 7:06 Michał Górny
2023-11-24 15:45 Arthur Zamarin
2023-06-22 14:36 Michał Górny
2023-04-06 13:25 Michał Górny
2023-04-06 8:23 Arthur Zamarin
2023-03-06 15:22 Michał Górny
2023-03-06 15:22 Michał Górny
2023-03-06 15:22 Michał Górny
2023-03-06 15:22 Michał Górny
2023-03-06 15:22 Michał Górny
2021-06-05 17:59 Michał Górny
2020-11-04 7:34 Michał Górny
2020-11-04 1:05 Sam James
2020-11-02 11:19 Michał Górny
2020-09-30 7:14 Michał Górny
2020-09-29 22:41 Louis Sautier
2020-09-29 22:08 Louis Sautier
2020-07-21 19:17 Kent Fredric
2020-03-17 19:52 Michał Górny
2020-03-17 19:52 Michał Górny
2018-03-24 13:10 Michał Górny
2017-06-04 7:30 Justin Lecher
2017-05-19 21:44 Michael Weber
2017-05-02 17:43 Michał Górny
2016-06-12 18:47 Patrick Lauer
2016-03-25 4:51 Matt Thode
2016-02-28 7:15 Matt Thode
2015-11-16 16:26 Agostino Sarubbo
2015-11-16 16:15 Agostino Sarubbo
2015-10-15 5:25 Matt Thode
2015-09-03 21:29 Matt Thode
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1703823199.fbb9320c1bd30d3be5e36e0276c262f1c93ece98.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox